<template>
  <div class="favorites-section-item">
    <div class="img-ctn">
      <a :href="item.albumUrl" @click.prevent="albumClick(item)">
        <img :src="albumImg" width="170" height="220" alt="Album" />
      </a>
    </div>
    <div class="info-ctn">
      <div class="author-ctn">
        <div class="author-img">
          <img :src="authorImg" />
        </div>
        <div class="author-info">
          <a :href="authorUrl">
            <div class="author-title text--secondary">
              {{ $t('followers.superreader') }}
            </div>
            <span class="author-name text--xs text--primary">
              {{ item.author }}
            </span>
          </a>
        </div>
      </div>
      <div class="title-ctn">{{ item.albumTitle }}</div>
      <div class="desc-ctn">
        <span class="text--sm text--primary">«{{ comment }}»</span>
        <a
          class="text--sm text--secondary"
          :href="commentUrl"
          @click.prevent="albumClick(item)"
        >
          {{ $t('catalog.read_more') }}
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    item: {
      type: Object,
      required: true
    },
    position: {
      type: Number,
      required: false,
      default: 0
    }
  },
  computed: {
    albumImg() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/album/${this.item.albumId}-w170.jpg`
    },
    authorImg() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/avatar/${this.item.authorId}.jpg`
    },
    authorUrl() {
      return `${this.$config.apiUrl}/${this.$i18n.locale}/profil/${this.item.authorId}`
    },
    comment() {
      const comment = this.item.comment

      return comment.length > 250
        ? comment
            .slice(0, 250)
            .substr(0, Math.min(comment.length, comment.lastIndexOf(' '))) +
            '...'
        : comment
    },
    commentUrl() {
      return `${this.item.albumUrl}#comment`
    }
  },

  methods: {
    albumClick(album) {
      const product = this.$utils.gtmAdvEcommerceCreateImpressionClickProduct(
        album.albumTitle,
        album.albumId,
        '',
        '',
        'Album',
        this.position
      )
      const e = this.$utils.gtmAdvEcommerceCreateProductClickEvent(
        product,
        this.$t('cta.album-rating.title')
      )
      this.$utils.gtmEvent(e, album.albumUrl)
    }
  }
}
</script>

<style lang="scss" scoped>
.favorites-section-item {
  display: flex;

  @media (max-width: 768px) {
    max-height: auto;
    margin-bottom: 2rem;
  }

  .img-ctn {
    flex: 1;
    padding-right: 2rem;
    img {
      max-height: 100%;
    }
  }

  .info-ctn {
    flex: 2;

    .author-ctn {
      margin-bottom: 0.5rem;
      display: flex;

      @media (max-width: 768px) {
        max-height: auto;
        margin-top: 1rem;
      }

      .author-img {
        margin-right: 1rem;

        img {
          width: 2.5rem;
          height: 2.5rem;
          border-radius: 99999px;
        }
      }

      .author-title {
        font-size: 18px;
      }
    }
    .title-ctn {
      font-size: 22px;
      font-family: DINCond-Bold;
      font-weight: bold;
      margin-top: 1.5rem;
      margin-bottom: 0.5rem;
    }
  }
}
</style>
